authenticationMethodsRoot: usersRegisteredByMethod

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

获取为每个身份验证方法注册的用户数。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) AuditLog.Read.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 不支持。

若要访问 API,需要 以下角色之一

  • 报表读取者
  • 安全读者
  • 安全管理员
  • 全局读取者
  • 全局管理员

HTTP 请求

GET /reports/authenticationMethods/usersRegisteredByMethod

函数参数

下表显示了可用于此函数的参数。

参数 类型 说明
includedUserTypes includedUserTypes 用户类型。 可取值为:allmemberguest
includedUserRoles includedUserRoles 用户角色类型。 可取值为:allprivilegedAdminadminuser

该值 privilegedAdmin 由以下特权管理员角色组成:

  • 全局管理员
  • 安全管理员
  • 条件访问管理员
  • Exchange 管理员
  • SharePoint 管理员
  • 支持管理员
  • 帐务管理员
  • 用户管理员
  • 身份验证管理员

该值 admin 包括所有 Azure AD 管理员角色。

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此函数在响应正文中返回 200 OK 响应代码和 userRegistrationMethodSummary

示例

请求

GET https://graph.microsoft.com/beta/reports/authenticationMethods/usersRegisteredByMethod(includedUserTypes='all',includedUserRoles='all')

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.type": "#microsoft.graph.userRegistrationMethodSummary",
    "userTypes": "all",
    "userRoles": "all",
    "userRegistrationMethodCounts": [{
            "authenticationMethod": "password",
            "userCount": 12209
        },
        {
            "authenticationMethod": "windowsHelloForBusiness",
            "userCount": 223
        },
        {
            "authenticationMethod": "mobilePhone",
            "userCount": 4234
        }
    ]
}